## tint2 0.9

=== debian/changelog ===
tint2 (0.9-2) unstable; urgency=low

  * debian/patches/update-systray-clock-every-second.diff: Cherry-pick
    patch from upstream to keep systray clock in sync with system time.
    (Closes: #572227)

 -- Daniel Moerner <dmoerner@gmail.com>  Wed, 03 Mar 2010 23:40:02 -0800

tint2 (0.9-1) unstable; urgency=low

  * New Upstream Version
  * debian/watch: Upstream uses both _beta and -rc1 for version strings,
    update uversionmangle to handle both.
  * debian/control:
    - Bump to Version 3.8.4, no changes.
    - Add libxdamage-dev and libxcomposite-dev to Build-Depends.

 -- Daniel Moerner <dmoerner@gmail.com>  Wed, 24 Feb 2010 10:21:01 -0800

tint2 (0.8-1) unstable; urgency=low

  * New Upstream Version
  * debian/examples: Upstream has renamed the sample tint2rc files.
  * debian/source: Switch to dpkg-source 3.0 (quilt) format.
  * debian/copyright: Update with new upstream authors.

 -- Daniel Moerner <dmoerner@gmail.com>  Tue, 12 Jan 2010 11:48:49 -0800

tint2 (0.7.1-1) unstable; urgency=low

  * New Upstream Version
  * debian/watch: add uversionmangle line to ignore upstream's beta
    releases.
  * debian/control: Update to Debian Policy 3.8.3, fix description typo.

 -- Daniel Moerner <dmoerner@gmail.com>  Sun, 06 Sep 2009 18:57:06 -0700

tint2 (0.7-1) unstable; urgency=low

  * New Upstream Version. (LP: #319436)
    - Update watch file to point to tint2 instead of tint.
    - Remove debian/tint.1: integrated upstream (Closes: #532307)
    - Remove dpatch and patches/01-remove-strip-from-makefile.dpatch:
      integrated upstream.
    - Refresh debian/examples and remove debian/docs
    - tint2 is now licensed under the GPL-2.
  * Added Vcs-Git and Vcs-Browser fields to debian/control.
  * Updated to Standards Version 3.8.2
  * Switched to tiny dh 7 rules file with overrides.

 -- Daniel Moerner <dmoerner@gmail.com>  Wed, 01 Jul 2009 02:01:27 -0700

tint2 (0.6.0-1) unstable; urgency=low

  * Initial release (closes: #491596)
  * Wrote manpage from upstream docs
  * 01-remove-strip-from-makefile.dpatch: dh_strip will strip the binary instead

 -- Daniel Moerner <dmoerner@gmail.com>  Sat, 06 Sep 2008 07:54:24 -0700
