=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Upstream ships an empty NEWS file; remove it to quiet lintian.
override_dh_auto_install:
	dh_auto_install
	rm -f debian/tint2/usr/share/doc/tint2/NEWS
