## tint2 0.9-1mint1

=== debian/changelog ===
tint2 (0.9-1mint1) isadora-fluxbox; urgency=low

  * Initial release

 -- Kendall Weaver <kendalltweaver@gmail.com>  Fri, 12 Mar 2010 08:44:30 -0500
