=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: tint2
 Section: x11
 Priority: optional
-Maintainer: Daniel Moerner <dmoerner@gmail.com>
-Build-Depends: debhelper (>= 7.0.50), libcairo2-dev, libpango1.0-dev, libglib2.0-dev, libimlib2-dev, libxinerama-dev, libxrandr-dev, libxcomposite-dev, libxdamage-dev
-Standards-Version: 3.8.4
-Vcs-Git: git://git.debian.org/git/collab-maint/tint2.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/tint2.git
+Maintainer: Kendall Weaver <kendalltweaver@gmail.com>
+Build-Depends: debhelper (>= 7), autotools-dev
+Standards-Version: 3.8.1
 Homepage: http://code.google.com/p/tint2/
 
 Package: tint2
