## tint2 0.11

=== debian/changelog ===
tint2 (0.11-2) unstable; urgency=low

  * Recommend python-gtk2 instead of python-gtk 

 -- Sebastian Reichel <sre@debian.org>  Sun, 05 Dec 2010 23:28:26 +0100

tint2 (0.11-1) unstable; urgency=low

  * Make me the maintainer of this package (Closes: #598688)
  * New Upstream Version (Closes: #591008)
  * drop patch (applied upstream)
  * Update watch file
    + use googlecode.debian.net
    + new files are release as tar.bz2
  * Update Debian Standards Version to 3.9.1
  * Use DEP5 for debian/copyright
  * Added build dependencies: cmake, libgtk2.0-dev
  * Add patch renaming tintwizard.py to tintwizard
  * Add patch adding power_now support
  * Recommend python (needed by tintwizard)

 -- Sebastian Reichel <sre@debian.org>  Fri, 26 Nov 2010 22:01:43 +0100
