=== debian/control ===
--- 
+++ 
@@ -1,14 +1,29 @@
 Source: tint2
 Section: x11
 Priority: optional
-Maintainer: Kendall Weaver <kendalltweaver@gmail.com>
-Build-Depends: debhelper (>= 7), autotools-dev
-Standards-Version: 3.8.1
+Maintainer: Sebastian Reichel <sre@debian.org>
+Build-Depends: cmake,
+               debhelper (>= 7.0.50),
+               libcairo2-dev,
+               libglib2.0-dev,
+               libgtk2.0-dev,
+               libimlib2-dev,
+               libpango1.0-dev,
+               libxcomposite-dev,
+               libxdamage-dev,
+               libxinerama-dev,
+               libxrandr-dev
+Standards-Version: 3.9.1
+Vcs-Git: git://git.debian.org/git/collab-maint/tint2.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/tint2.git
 Homepage: http://code.google.com/p/tint2/
 
 Package: tint2
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+Recommends: python,
+            python-gtk2
 Description: lightweight taskbar
  Tint is a simple panel/taskbar intentionally made for openbox3, but should
  also work with other window managers. The taskbar includes transparency and
