=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# rename tintwizard.py to tintwizard
override_dh_auto_install:
	dh_auto_install
	mv debian/tint2/usr/bin/tintwizard.py debian/tint2/usr/bin/tintwizard
