## tint2 0.11%2bsvn20111022

=== debian/changelog ===
tint2 (0.11+svn20111022-2build1) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 02 Dec 2011 21:28:08 -0700

tint2 (0.11+svn20111022-2) unstable; urgency=low

  * Add inform-about-unsupported-saving.patch (Closes: #646055)

 -- Sebastian Reichel <sre@debian.org>  Sun, 23 Oct 2011 10:57:35 +0200

tint2 (0.11+svn20111022-1) unstable; urgency=low

  * New upstream checkout
   - Fix double free of launcher configuration (Closes: #645208)

 -- Sebastian Reichel <sre@debian.org>  Sat, 22 Oct 2011 08:17:18 +0200

tint2 (0.11+svn20111011-2) unstable; urgency=low

  * build debug symbols 

 -- Sebastian Reichel <sre@debian.org>  Fri, 21 Oct 2011 16:30:50 +0200

tint2 (0.11+svn20111011-1) unstable; urgency=low

  * New upstream snapshot
   - misc. fixes
   - added alpha, saturation, brightness control for launcher icons
   - launcher tooltips configurable, default off

 -- Sebastian Reichel <sre@debian.org>  Wed, 19 Oct 2011 19:49:54 +0200

tint2 (0.11+svn20110307-1) unstable; urgency=low

  * New upstream snapshot (Closes: #624792)
  * Remove power_now support patch (applied upstream)
  * Do not install tintwizard (it does not support config of SVN snapshot)
  * Also build a tint2-dbg package

 -- Sebastian Reichel <sre@debian.org>  Sun, 01 May 2011 19:35:32 +0200
