## tint2 0.11+svn20110307

=== src/tint2conf/CMakeLists.txt ===
--- 
+++ 
@@ -35,11 +35,16 @@
                                  ${GTHREAD2_LIBRARIES}
                                  ${GTK2_LIBRARIES} )
 
+if ( NOT DATADIR )
+  set( DATADIR share )
+endif( NOT DATADIR )
+
 add_definitions( -DINSTALL_PREFIX=\"${CMAKE_INSTALL_PREFIX}\" )
 set_target_properties( tint2conf PROPERTIES COMPILE_FLAGS "-Wall -pthread" )
 set_target_properties( tint2conf PROPERTIES LINK_FLAGS "-pthread" )
 
 install( TARGETS tint2conf DESTINATION bin )
 install( PROGRAMS tintwizard.py DESTINATION bin )
-install( FILES tint2conf.png tint2conf.svg DESTINATION share/pixmaps )
-install( FILES tint2conf.desktop DESTINATION share/applications )
+install( FILES taskbar.svg DESTINATION ${DATADIR}/icons/hicolor/scalable/apps )
+install( FILES tint2conf.desktop DESTINATION ${DATADIR}/applications )
+install( CODE "execute_process(COMMAND gtk-update-icon-cache -f -t ${DATADIR}/icons/hicolor WORKING_DIRECTORY ${CMAKE_INSTALL_PREFIX})" )
