=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libxdamage-dev,
                libxinerama-dev,
                libxrandr-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/tint2.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/tint2.git
 Homepage: http://code.google.com/p/tint2/
@@ -21,12 +21,10 @@
 Package: tint2
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends},
-Recommends: python,
-            python-gtk2
+         ${misc:Depends}
 Description: lightweight taskbar
  Tint is a simple panel/taskbar intentionally made for openbox3, but should
- also work with other window managers. The taskbar includes transparency and 
+ also work with other window managers. The taskbar includes transparency and
  color settings for the font, icons, border, and background. It also supports
  multihead setups, customized mouse actions, and a built-in clock. Tint was
  originally based on ttm code. Since then, support has also been added
@@ -34,3 +32,21 @@
  .
  The goal is to keep a clean and unintrusive look with lightweight code and
  compliance with freedesktop specification.
+
+Package: tint2-dbg
+Section: debug
+Architecture: any
+Depends: ${misc:Depends},
+         tint2
+Description: lightweight taskbar (debug symbols)
+ Tint is a simple panel/taskbar intentionally made for openbox3, but should
+ also work with other window managers. The taskbar includes transparency and
+ color settings for the font, icons, border, and background. It also supports
+ multihead setups, customized mouse actions, and a built-in clock. Tint was
+ originally based on ttm code. Since then, support has also been added
+ for a battery monitor and system tray.
+ .
+ The goal is to keep a clean and unintrusive look with lightweight code and
+ compliance with freedesktop specification.
+ .
+ This package contains the debug symbols for tint2.
