=== debian/changelog ===
tint2 (0.11+svn20111022-3) unstable; urgency=low

  * Update debian/copyright to conform with Debian copyright format 1.0
  * Update Debian Standards Version to 3.9.3
  * Add dump of tint2's FAQ and Configure wiki page as offline
    documentation (Closes: #658226)

 -- Sebastian Reichel <sre@debian.org>  Wed, 07 Mar 2012 10:09:20 +0100
