=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libxdamage-dev,
                libxinerama-dev,
                libxrandr-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/tint2.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/tint2.git
 Homepage: http://code.google.com/p/tint2/
@@ -35,9 +35,10 @@
 
 Package: tint2-dbg
 Section: debug
+Priority: extra
 Architecture: any
 Depends: ${misc:Depends},
-         tint2
+         tint2 (= ${binary:Version})
 Description: lightweight taskbar (debug symbols)
  Tint is a simple panel/taskbar intentionally made for openbox3, but should
  also work with other window managers. The taskbar includes transparency and
