=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Sebastian Reichel <sre@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 7.0.50),
+               debhelper (>= 9),
                libcairo2-dev,
                libglib2.0-dev,
                libgtk2.0-dev,
                libimlib2-dev,
                libpango1.0-dev,
+               libstartup-notification0-dev,
                libxcomposite-dev,
                libxdamage-dev,
                libxinerama-dev,
                libxrandr-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/collab-maint/tint2.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/tint2.git
 Homepage: http://code.google.com/p/tint2/
