=== debian/watch ===
version=3
opts="uversionmangle=s/_/~/; s/-/~/" \
http://googlecode.debian.net/p/tint2/tint2-(\d+\.\d+.*)\.tar\.(?:gz|bz2)
