## tint2 0.12

=== debian/changelog ===
tint2 (0.12-1) unstable; urgency=medium

  * New upstream release (Closes: #793797)
   - Drop 04-freespace.patch (applied upstream)
   - Drop 05-task-align.patch (needs rework)

 -- Sebastian Reichel <sre@debian.org>  Wed, 29 Jul 2015 18:53:03 +0200

tint2 (0.11+svn20121014-3) unstable; urgency=low

  * Add some patches from upstream's bug tracker. Those are already
    used by the Debian based VSIDO distribution for some time.
   - 03-launcher_apps_dir.patch
     Add support for loading multiple launcher icons by specifing
     the directory for their *.desktop files.
   - 04-freespace.patch
     Add support for a separator panel element.
   - 05-task-align.patch, 06-sample-task-align.patch
     Add support for task alignment.

 -- Sebastian Reichel <sre@debian.org>  Thu, 05 Jun 2014 17:39:43 +0200

tint2 (0.11+svn20121014-2) unstable; urgency=low

  * Reintroduce tint2conf (Closes: #720200)
  * Add patch fixing argv evaluation (Closes: #716390)
  * Add patch fixing incorrect function declaration (Closes: #748171)
  * Bump Debian Standards Version to 3.9.5

 -- Sebastian Reichel <sre@debian.org>  Sun, 01 Jun 2014 17:13:06 +0200
