=== debian/control ===
--- 
+++ 
@@ -9,15 +9,16 @@
                libgtk2.0-dev,
                libimlib2-dev,
                libpango1.0-dev,
+               librsvg2-dev,
                libstartup-notification0-dev,
                libxcomposite-dev,
                libxdamage-dev,
                libxinerama-dev,
                libxrandr-dev
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/collab-maint/tint2.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/tint2.git
-Homepage: http://code.google.com/p/tint2/
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/tint2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tint2.git
+Homepage: https://gitlab.com/o9000/tint2/
 
 Package: tint2
 Architecture: any
